// pages/login/login.ts
// import { httpClient } from "../../utils/request";
import { login } from "../../api/login"
import Message from 'tdesign-miniprogram/message/index';
import { setToken } from "../../utils/settings";
import { RoleType } from "../../types/role";


Page({

  /**
   * 页面的初始数据
   */
  data: {
    role: undefined,
    roleOptions: [
      {
        value: RoleType.employee,
        label: "员工"
      },
      {
        value: RoleType.manager,
        label: "管理员"
      },
    ]
  },
  onChange(e: any) {
    this.setData({ role: e.detail.value });
  },
  loginWithWeChat(e: any) {
    login({
      code: e.detail.code
    }).then((response: any) => {
      setToken(response.token)
      wx.switchTab({
        url: "../index/index"
      })
    })
  },
  testRequest() {
    Message.error({
      context: this,
      offset: [20, 32],
      duration: 5000,
      content: '这是一条错误提示通知',
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad() {
    const role = getApp().globalData.role
    role && this.setData({
      role
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },

})